/**
 * Copyright (c) 2007-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.clientserverapi.jbi.messaging;

public interface RouterService {

    public static final String DEFAULT_PLATFORM_STRATEGY = "highest,3,2,1";

    /**
     * Constant used to specify the secure policy. It assures the security of
     * the exchange by encrypting the exchange sent
     */
    public static final String SECURE_POLICY = "secure";

    /**
     * Constant used to specify the reliable policy. It assures the persistence
     * of the exchange. Message are never lost, but there is effort on the
     * duration of the exchange
     */
    public static final String RELIABLE_POLICY = "reliable";

    /**
     * Constant used to specify the fast policy. It assures the fastest exchange
     * processing. If there is a problem during communication, the message can
     * be lost.
     */
    public static final String FAST_POLICY = "fast";

    /**
     * The default QOS policy.
     */
    static final String DEFAULT_POLICY = FAST_POLICY;

}
